#debuginfo not supported with Go
%global debug_package %{nil}

%global goipath         github.com/skupperproject/skupper/cmd/skupper
Version:                0.6.0
%global buildnum        1
%global downstream_build redhat-%{buildnum}
%global tag             0.6.0
%global package_name    skupper
%global golang_version  1.14
%global LDFLAGS         "-X github.com/skupperproject/skupper/client.Version=%{version}-%{downstream_build}"


%gometa

%global godocs          README.md

Name:           %{package_name}
Release:        %{buildnum}%{?dist}
Summary:        Skupper client

License:        ASL 2.0

URL:            %{gourl}
Source0:        %{gosource}
Source1:        vendor-%{version}.tar.gz
Source2:        images.go

BuildRequires:  golang >= %{golang_version}
Provides:       %{package_name}

ExcludeArch:    i686


%description
Skupper command line tool


%prep
%setup -q
tar xpf %{SOURCE1} -C .
cp %{SOURCE2} client/

%build
go build -mod=vendor -ldflags=%{LDFLAGS} -o %{gobuilddir}/bin/skupper %{goipath}

%install
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%files
%license LICENSE
%doc README.md
%{_bindir}/*


%changelog
* Wed May 19 2021 Mike Cressman <mcressma@redhat.com> - 0.6.0-1
- Rebase to upstream 0.6.0

* Tue Mar 30 2021 Mike Cressman <mcressma@redhat.com> - 0.5.2-1
- Rebase to upstream 0.5.2

* Fri Mar 26 2021 Mike Cressman <mcressma@redhat.com> - 0.5.1-2
- change the format of the version tag

* Fri Mar 26 2021 Mike Cressman <mcressma@redhat.com> - 0.5.1-1
- Rebase with upstream 0.5.1

* Fri Mar 12 2021 Mike Cressman <mcressma@redhat.com> - 0.5.0-2
- Rebuild with updated upstream 0.5.0

* Wed Mar 10 2021 Mike Cressman <mcressma@redhat.com> - 0.5.0-1
- Rebase to upstream 0.5.0
- set internal version

* Wed Feb 24 2021 Mike Cressman <mcressma@redhat.com> - 0.4.2-1
- Initial package

